Skip to content

Modify



POST /api/v1/incidents/{incident_uuid}/modify

Overview

Route Parameters

Parameter Name Type Required Description
incident_uuid string Y Incident uuid
Allow empty: False

Body Request Parameters

Parameter Name Type Required Description
name string Incident name
Example: name
Allow empty: False
Max length: 256
description string Incident description
Allow empty: True
Example: description
level string UUID corresponding to the incident level
Allow empty: False
Example: system_level_0
assigner array List of UUIDs corresponding to assignees
Allow empty: False
Example: ['acnt_xxxx32']
incidentsStatus string Incident status
Allow empty: False
Example: working
Allowed values: ['open', 'working', 'resolved', 'closed']
resourceURL string Resource URL
Allow empty: False
Example: http://xxxxxx
tags array List of tag names
Allow empty: False
Example: ['aaa', 'bbb']
dimensionTag json Dimension tags
Allow empty: False
Example: {'host': '127.0.0.1'}
attachmentUUIDs array List of attachment UUIDs
Allow empty: False
Example: ['attachment_xxxx']
extend json Additional extended information
Allow empty: False
Example: {}

Parameter Supplementary Description

Basic Parameter Description

Parameter Name Parameter Type Required Parameter Description
name string N Incident name
description string N Incident description
level string N UUID corresponding to the incident level
assigner array N List of UUIDs corresponding to assignees
incidentsStatus string N Incident status
resourceURL string N Source URL, can be used to jump to the corresponding URL in detail view
tags array N List of tag names
dimensionTag json N Custom dimension tags, default pass {}
attachmentUUIDs array N List of attachment UUIDs
extend json N Additional extended information

Extended Field extend Description

Parameter Name Parameter Type Required Parameter Description
linkList array N Add incident links

extend field example:

{
    "linkList": [
        {
            "name": "Test",
            "link": "https://xxxx",
        }
    ]
}

Request Example

curl 'https://openapi.truewatch.com/api/v1/issue/issue_xxxx32/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"incidentsStatus":"working"}'\
--compressed

Response

{
    "code": 200,
    "content": {
        "assigner": [],
        "createAt": 1768981791,
        "creator": "acnt_xxxx",
        "cumulativeTime": 0,
        "deleteAt": -1,
        "description": "Description",
        "dimensionTag": {},
        "dtAppId": "",
        "dtAppName": "",
        "dtEnv": "",
        "dtHost": "",
        "dtPodName": "",
        "dtResource": "",
        "dtService": "",
        "dtUrl": "",
        "eventCount": 0,
        "eventUpdateAt": 0,
        "extend": {},
        "id": null,
        "incidentsStatus": "working",
        "level": "system_level_0",
        "name": "test3",
        "resourceCategory": "",
        "resourceContent": {},
        "resourceIdentity": "",
        "resourceType": "",
        "resourceUUID": "",
        "resourceUrl": "",
        "source": "external",
        "status": 0,
        "statusChangeTime": 1768981791,
        "statusTime": {
            "open": 1768981791
        },
        "tagInfo": [
            {
                "id": "tag_xxx",
                "name": "test",
                "uuid": "tag_xxxx"
            }
        ],
        "updateAt": -1,
        "updator": "",
        "uuid": "incident_xxxx",
        "workspaceUUID": "wksp_xxx"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "xxxxx"
}